<a nz-tooltip [nzTooltipTitle]="label" (click)="showModal()">
    {{label.length>10?(label.substr(0,10)+'...'):label}}
</a>

<nz-modal nzTitle="设置角色" [nzVisible]="isModalVisible" (nzOnCancel)="closeModel()"
    [nzOkLoading]="loading" [nzCancelLoading]="loading" (nzOnOk)="onOk()">
    <app-role-select (valueChange)="onRoleSelect($event)"></app-role-select>
    <nz-table #basicTable [nzData]="roles" nzSize="small" [nzFrontPagination]="false">
        <thead>
          <tr>
            <th>序号</th>
            <th>角色名</th>
            <th>部门</th>
            <th>操作</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of basicTable.data;let i=index">
            <td>{{i+1}}</td>
            <td>{{data.name}}</td>
            <td>{{data.department?.name}}</td>
            <td>
                <button nz-button nzSize="small" (click)="removeRole(i)">移除</button>
            </td>
          </tr>
        </tbody>
      </nz-table>
</nz-modal>